ZABBIX_PROXY(8)

NAME
zabbix_proxy - Zabbix proxy daemon

SYNOPSIS
zabbix_proxy [-c config-file]
zabbix_proxy [-c config-file] -R runtime-option
zabbix_proxy -h
zabbix_proxy -V

DESCRIPTION
zabbix_proxy is a daemon that collects monitoring data from devices and sends it to Zabbix server.

OPTIONS

-c, --config config-file
    Use the alternate config-file instead of the default one.

-f, --foreground
    Run Zabbix proxy in foreground.

-R, --runtime-control runtime-option
    Perform administrative functions according to runtime-option.

  Runtime control options

    config_cache_reload
        Reload configuration cache. Ignored if cache is being currently loaded. Active Zabbix proxy will connect to the Zabbix server and request configuration data. Default configuration file (unless -c option is specified) will be used to find PID file and signal will be sent to process, listed in PID file.

    snmp_cache_reload
        Reload SNMP cache.

    housekeeper_execute
        Execute the housekeeper. Ignored if housekeeper is being currently executed.

    diaginfo[=section]
        Log internal diagnostic information of the specified section. Section can be historycache, preprocessing, locks. By default diagnostic information of all sections is logged.

    prof_enable[=target]
        Enable profiling, affects all processes if target is not specified

    prof_disable[=target]
        Disable profiling, affects all processes if target is not specified

    log_level_increase[=target]
        Increase log level, affects all processes if target is not specified.

    log_level_decrease[=target]
        Decrease log level, affects all processes if target is not specified.

  Log level control targets

    process-type
        All processes of specified type (configuration syncer, data sender, discoverer, heartbeat sender, history syncer, housekeeper, http poller, icmp pinger, ipmi manager, ipmi poller, java poller, poller, preprocessing manager, preprocessing worker, self-monitoring, snmp trapper, task manager, trapper, unreachable poller, vmware collector, history poller, availability manager, odbc poller)

    process-type,N
        Process type and number (e.g., poller,3)

    pid Process identifier

  Profiling control targets

    process-type
        All processes of specified type (configuration syncer, data sender, discoverer, heartbeat sender, history syncer, housekeeper, http poller, icmp pinger, ipmi manager, ipmi poller, java poller, poller, preprocessing manager, preprocessing worker, self-monitoring, snmp trapper, task manager, trapper, unreachable poller, vmware collector, history poller, availability manager, odbc poller)

    process-type,N
        Process type and number (e.g., history syncer,1)

    pid Process identifier

    scope
        (rwlock, mutex, processing) can be used with process-type (e.g., history syncer,1,processing)

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

FILES

/usr/pkg/etc/zabbix_proxy.conf
    Default location of Zabbix proxy configuration file (if not modified during compile time).

SEE ALSO
Documentation (https://www.zabbix.com/manuals)

zabbix_agentd(8), zabbix_get(1), zabbix_sender(1), zabbix_server(8), zabbix_js(1), zabbix_agent2(8), zabbix_web_service(8)